#!/bin/bash -xe

# Save some basic debug information.

mkdir -p /var/log/bootstrap_logs/
pushd /var/log/bootstrap_logs/
  dpkg-query -W -f='${Package}=${Version}\n' | sort -u >> vcp_initial_pkgs.log
  cat vcp_initial_pkgs.log
  # Drop some reclass info,if avaible
  if [[ $(which salt-key) ]] ; then
    for node in $(salt-key -l acc | grep -v 'Accepted Keys:') ; do
     salt ${node} pillar.data --out=json > ${node}.pillardata.json || true
     reclass -n  ${node} -o json > ${node}.reclass.json || true
    done
  fi
popd
